<?php

defined('BASEPATH') OR exit('No direct script access allowed');

require APPPATH.'controllers/General.php'; 


class Dashboard extends General {

	function __construct() {
		parent::__construct();	
		$this->load->model('general_model');
		$this->load->model('dashboard_model');
		$this->load->model('appointment_model');
		// if(General::isLoggedIN() === FALSE OR General::validateToken() === FALSE){
  //           redirect(base_url());    
  //       }
	}

	public function index()
	{
		$this->data['page_title'] = $this->lang->line('dashboard');
		$this->data['page_sub_title'] = $this->lang->line('dashboard_subtitle');
		$this->data['css'] = $this->assets_resources->getAssets('dashboard_asset')['index']['css'];
		$this->data['js'] = $this->assets_resources->getAssets('dashboard_asset')['index']['js'];
		$this->data['jsextend'] = $this->assets_resources->getAssets('dashboard_asset')['index']['jsextend'];
		$this->data['file'] = $this->assets_resources->getAssets('dashboard_asset')['index']['file'];
		$this->session->set_userdata('parent_id', 'dashboard');
		$this->data['countAppointment'] = $this->dashboard_model->countAppointment();
		$this->data['countPatients'] = $this->dashboard_model->countPatients();
		$this->data['countUsers'] = $this->dashboard_model->countUsers();
		$this->data['countGroup'] = $this->dashboard_model->countGroup();

		$this->data['todaysAppointment'] = $this->appointment_model->myAppointments(TRUE);
		$this->data['tomorrowAppointment'] = $this->appointment_model->myAppointments(FALSE, FALSE, TRUE);
		$this->data['allAppointment'] = $this->appointment_model->myAppointments(FALSE, TRUE, FALSE);
		$this->load->view("page", $this->data);
		
	}

	public function insert_patient_id()
	{
		$hms_patient_id = $this->input->post('hms_patient_id');

		if($hms_patient_id){

			$post_data['hms_patient_id'] = $hms_patient_id;

			$res = $this->general_model->insertData('patients', $post_data);

			if($res) {

				$response['status'] = true;
				$response['msg'] = 'Insert Successfully';

			} else {

				$response['status'] = false;
				$response['msg'] = 'Try Again.';

			}

		} else {

			$response['status'] = false;
			$response['msg'] = 'Required Fields Missing.';

		}

		echo json_encode($response);
	}

	public function delete_patient_id()
	{
		$hms_patient_id = $this->input->post('hms_patient_id');

		if($hms_patient_id){

			$this->db->delete('patients', array('hms_patient_id' => $hms_patient_id));

			$response['status'] = true;
			$response['msg'] = 'Delete Successfully';

		} else {

			$response['status'] = false;
			$response['msg'] = 'Required Fields Missing.';

		}

		echo json_encode($response);
	}

	
}
