<?php

defined('BASEPATH') OR exit('No direct script access allowed');

require APPPATH.'controllers/General.php'; 

class Dashboard_widgets extends General {

	function __construct() {
		parent::__construct();	
		$this->load->model('activity_log_model');
		$this->load->model('bulletin_model');
		$this->load->model('appointment_model');
		if(General::isLoggedIN() === FALSE OR General::validateToken() === FALSE){
            redirect(base_url());    
        }
	}

	public function loadRecentActivities()
	{
		$this->data['masterlist'] = $this->activity_log_model->loadDataActivity('20','0');
		$this->load->view('dashboard/widgets_recent_activities',$this->data);
	}

	public function loadBulletinBoard()
	{
		$this->data['masterlist'] = $this->bulletin_model->getAllData(0, 0, FALSE, FALSE, TRUE);
		$this->load->view('dashboard/widgets_bulletin_board',$this->data);
	}

	public function viewBulletin($id)
	{
		$this->data['rsBulletin'] = $this->bulletin_model->getDetails($id);
		$this->load->view('dashboard/viewBulletin',$this->data);
	}

	public function loadTodaysAppointments()
	{
		$this->data['rsTodaysApp'] = $this->appointment_model->myAppointments(TRUE);
		$this->load->view('dashboard/loadTodaysAppointments',$this->data);
	}

	public function loadMyAllAppointments()
	{
		$this->data['rsTodaysApp'] = $this->appointment_model->myAppointments(FALSE, FALSE, TRUE);
		$this->load->view('dashboard/loadTodaysAppointments',$this->data);
	}

	public function loadAllAppointments()
	{
		$this->data['rsTodaysApp'] = $this->appointment_model->myAppointments(FALSE, TRUE);
		$this->data['allApp'] = 1;
		$this->load->view('dashboard/loadTodaysAppointments',$this->data);
	}


	
}
