<?php

defined('BASEPATH') OR exit('No direct script access allowed');


require_once  APPPATH . '/third_party/PhpWord/Autoloader.php';
use PhpOffice\PhpWord\Autoloader;
use PhpOffice\PhpWord\Settings;
Autoloader::register();
Settings::loadConfig();

require APPPATH.'controllers/General.php'; 


class Phpdocx extends General {

	function __construct() {
		parent::__construct();	
		$this->load->model('general_model');
		$this->load->model('patients_model');
		$this->load->model('user_model');
	}

	public function consult($id, $doctor_id)
	{
		$patient_details = $this->patients_model->getDetails($id);
		$user_details = $this->user_model->getUserDetails('', $doctor_id);
		// $age = date_diff(date_create(), date_create($patient_details->dob));
		$age = General::computeAge($patient_details->dob);

		$consult_file = "./public/docx_template/consult_notes_".$doctor_id.".docx";
		$firstname = strtolower($patient_details->firstname);
		$lastname = strtolower($patient_details->lastname);
		$templateProcessor = new \PhpOffice\PhpWord\TemplateProcessor($consult_file);
		$templateProcessor->setValue('firstname', ucfirst($firstname));
		$templateProcessor->setValue('lastname', strtoupper($patient_details->lastname));
		$templateProcessor->setValue('fullname', ucfirst($firstname).' '.ucfirst($lastname));
		$templateProcessor->setValue('age', $age);
		$templateProcessor->setValue('idenage', $age.strtoupper(substr($patient_details->gender, 0, 1)));
		$templateProcessor->setValue('gender', $patient_details->gender);
		$templateProcessor->setValue('dob', strtoupper(date("d/M/Y",strtotime($patient_details->dob)))); //DD/MMM/YYYY
		$templateProcessor->setValue('today', strtoupper(date("d/M/Y"))); //DD/MMM/YYYY
		$templateProcessor->setValue('agegender', $age.'-year old ' . strtolower($patient_details->gender)); //DD/MMM/YYYY
		$templateProcessor->setValue('doctor_firstname', $user_details->firstname);
		$templateProcessor->setValue('doctor_lastname', $user_details->lastname);

		$filename = ucfirst($patient_details->lastname)."_".ucfirst($patient_details->firstname)."_".date('Ymd')."_Consult.docx";
		$templateProcessor->saveAs('./public/files/consults/'.$filename);

		header('Content-Description: File Transfer');
	    header('Content-Type: application/octet-stream');
	    header('Content-Disposition: attachment; filename='.basename('./public/files/consults/'.$filename));
	    header('Expires: 0');
	    header('Cache-Control: must-revalidate');
	    header('Pragma: public');
	    header('Content-Length: ' . filesize('./public/files/consults/'.$filename));
	    readfile('./public/files/consults/'.$filename);
	    exit;

	}

	public function pdf()
	{
		// $this->load->view("pdf/test", $this->data);

		$html = $this->load->view("pdf/test", $this->data, TRUE);
		$filename = date("YmdHis");
		$papersize = "A4";
		$orientation = 'portrait'; // landscape or portrait
		pdf_create($html, $filename, TRUE, $papersize, $orientation);
	}


	
}
