<?php

defined('BASEPATH') OR exit('No direct script access allowed');

require APPPATH.'controllers/General.php'; 


class Search_params extends General {

	function __construct() {
		parent::__construct();	
		if(General::isLoggedIN() === FALSE OR General::validateToken() === FALSE){
            redirect(base_url());    
        }
	}

    public function department($tableID)
    {
    	$this->load->model('department_model');
		$this->data['form_title'] = $this->lang->line('manage_department_list');
		$result = $this->department_model->getAllDepartment('', '', FALSE, TRUE);
		$this->data['columns'] = array(
			$this->lang->line('manage_dept_lbldepartment'),
			$this->lang->line('manage_dept_lbldeptdesc')
		);
		$this->data['num_cols'] = 2;
		$this->data['tableID'] = $tableID;
		foreach($result as $res){
			$fields_rows[] = array(
				$res->department_id,
				$res->department_name,
				$res->department_desc
			);
		}
		$this->data['fields_rows'] = $fields_rows;
        $this->load->view('quick_forms/search_params',$this->data);
    }

    public function designation($tableID)
    {
    	$this->load->model('designation_model');
		$this->data['form_title'] = $this->lang->line('manage_designation_list');
		$result = $this->designation_model->getAllDesignation('', '', FALSE, TRUE);
		$this->data['columns'] = array(
			$this->lang->line('manage_designation_lbldepartment'),
			$this->lang->line('manage_designation_lbldeptdesc')
		);
		$this->data['num_cols'] = 2;
		$this->data['tableID'] = $tableID;
		foreach($result as $res){
			$fields_rows[] = array(
				$res->designation_id,
				$res->designation_name,
				$res->designation_desc
			);
		}
		$this->data['fields_rows'] = $fields_rows;
        $this->load->view('quick_forms/search_params',$this->data);
    }

    public function system_parameters($tableID, $code)
    {
		$this->data['form_title'] = $this->lang->line('system_param_list');
		$result = $this->sys_param_model->getParamList(strtoupper($code));
		$this->data['columns'] = array(
			$this->lang->line('system_param_value'),
			$this->lang->line('system_param_desc')
		);
		$this->data['num_cols'] = 2;
		$this->data['tableID'] = $tableID;
		foreach($result as $res){
			$fields_rows[] = array(
				$res->param_id,
				$res->param_value,
				$res->param_desc
			);
		}
		$this->data['fields_rows'] = $fields_rows;
        $this->load->view('quick_forms/search_params',$this->data);
    }

    public function projects($tableID)
    {
    	$this->load->model('projects_model');
		$this->data['form_title'] = "Project List";
		$result = $this->projects_model->getAllData('', '', FALSE, TRUE);
		$this->data['columns'] = array(
			'Project Name',
			'Project Description'
		);
		$this->data['num_cols'] = 2;
		$this->data['tableID'] = $tableID;
		foreach($result as $res){
			$fields_rows[] = array(
				$res->id,
				$res->name,
				$res->description
			);
		}
		$this->data['fields_rows'] = $fields_rows;
        $this->load->view('quick_forms/search_params',$this->data);
    }

    public function subcontractor($tableID)
    {
    	$this->load->model('subcontractor_model');
		$this->data['form_title'] = "Subcontractor List";
		$result = $this->subcontractor_model->getAllData('', '', FALSE, TRUE);
		$this->data['columns'] = array(
			'Name',
			'Project Engineer',
			'Project Manager'
		);
		$this->data['num_cols'] = 3;
		$this->data['tableID'] = $tableID;
		foreach($result as $res){
			$fields_rows[] = array(
				$res->subcontractor_id,
				$res->name,
				$res->project_engineer,
				$res->project_manager
			);
		}
		$this->data['fields_rows'] = $fields_rows;
        $this->load->view('quick_forms/search_params',$this->data);
    }


	
}
