<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Department Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Department_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	public function getDepartmentDetails($id)
	{
		$this->db->where('department_id', $id);
		$query = $this->db->get('department');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}


	public function getAllDepartment($limit = 0, $offset = 0, $search = FALSE, $viewAll = FALSE, $exportCSV = FALSE)
	{
		$this->db->select('department_id, department_name, department_desc, nStatus');
		if($search === TRUE) {
			if(!empty($_POST['department_name'])) {
				$this->db->or_like('department_name', $_POST['department_name']);
			}
			if(!empty($_POST['department_desc'])) {
				$this->db->or_like('department_desc', $_POST['department_desc']);
			}
			if($_POST['nStatus'] == 1) {
				$this->db->or_where('nStatus', $_POST['nStatus']);
			} else if($_POST['nStatus'] == 0) {
				$this->db->or_where('nStatus', $_POST['nStatus']);
			} 
		}
		if($viewAll === TRUE) {
			$this->db->where_in('nStatus', array(0, 1));
		} else {
			$this->db->where('nStatus', 1);
		}
		if($limit > 0 OR $offset > 0) {
			$this->db->limit($limit, $offset);
		}
		$query = $this->db->get('department');
		if($exportCSV === TRUE){
			return $query;
		} else {
			return ($query->num_rows() > 0) ? $query->result() : NULL;
		}	
	}

	public function save($action)
    {
    	if($action == "insert") {
    		$this->data = array(
				'department_name'	=>		$this->input->post('department_name'),
				'department_desc'	=>		$this->input->post('department_desc')
			);	
			$this->db->insert("department",$this->data);
			$result = $this->db->affected_rows();
			return ($result) ? $this->db->insert_id() : FALSE;
    	} 
    	else if($action == "update") {
    		$this->data = array(
				'department_name'	=>		$this->input->post('department_name'),
				'department_desc'	=>		$this->input->post('department_desc')
			);	
			$this->db->where('department_id', $this->input->post('department_id'));
			$this->db->update("department",$this->data);
			$result = $this->db->affected_rows();
			return $result;
    	} else {
    		return FALSE;
    	}
    	
    }

	
	
}