<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Designation Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Designation_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	public function getDesignationDetails($id)
	{
		$this->db->where('designation_id', $id);
		$query = $this->db->get('designation');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}


	public function getAllDesignation($limit = 0, $offset = 0, $search = FALSE, $viewAll = FALSE, $exportCSV = FALSE)
	{
		$this->db->select('designation_id, designation_name, designation_desc, nStatus');
		if($search === TRUE) {
			if(!empty($_POST['designation_name'])) {
				$this->db->or_like('designation_name', $_POST['designation_name']);
			}
			if(!empty($_POST['designation_desc'])) {
				$this->db->or_like('designation_desc', $_POST['designation_desc']);
			}
			if($_POST['nStatus'] == 1) {
				$this->db->or_where('nStatus', $_POST['nStatus']);
			} else if($_POST['nStatus'] == 0) {
				$this->db->or_where('nStatus', $_POST['nStatus']);
			} 
		}
		if($viewAll === TRUE) {
			$this->db->where_in('nStatus', array(0, 1));
		} else {
			$this->db->where('nStatus', 1);
		}
		if($limit > 0 OR $offset > 0) {
			$this->db->limit($limit, $offset);
		}
		$query = $this->db->get('designation');
		if($exportCSV === TRUE){
			return $query;
		} else {
			return ($query->num_rows() > 0) ? $query->result() : NULL;
		}	
		
	}

	public function save($action)
    {
    	if($action == "insert") {
    		$this->data = array(
				'designation_name'	=>		$this->input->post('designation_name'),
				'designation_desc'	=>		$this->input->post('designation_desc')
			);	
			$this->db->insert("designation",$this->data);
			$result = $this->db->affected_rows();
			return ($result) ? $this->db->insert_id() : FALSE;
    	} 
    	else if($action == "update") {
    		$this->data = array(
				'designation_name'	=>		$this->input->post('designation_name'),
				'designation_desc'	=>		$this->input->post('designation_desc')
			);	
			$this->db->where('designation_id', $this->input->post('designation_id'));
			$this->db->update("designation",$this->data);
			$result = $this->db->affected_rows();
			return $result;
    	} else {
    		return FALSE;
    	}
    	
    }

	
	
}