<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Bulletin Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Export_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	public function getDetails($id)
	{
		$this->db->select('A.bulletin_id, A.subject, A.message, A.dDateAdded, A.postToDashboard, A.nStatus,B.firstname, B.lastname');
		$this->db->where('A.bulletin_id', $id);
		$this->db->join('users B','B.user_id = A.addedByUserID', 'LEFT OUTER');
		$query = $this->db->get('bulletin_board A');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}


	public function getAllData($limit = 0, $offset = 0, $search = FALSE, $viewAll = FALSE, $posted = FALSE)
	{
		$this->db->select('A.bulletin_id, A.subject, A.message, A.dDateAdded, A.postToDashboard, A.nStatus,B.firstname, B.lastname');
		if($search === TRUE) {
			if(!empty($_POST['subject'])) {
				$this->db->or_like('A.subject', $_POST['subject']);
			}
			if(!empty($_POST['message'])) {
				$this->db->or_like('A.message', $_POST['message']);
			}
			if(!empty($_POST['addedByUserID'])) {
				$this->db->or_where("B.firstname LIKE '%".$_POST['addedByUserID']."%' OR B.lastname LIKE '%".$_POST['addedByUserID']."%'");
			}
			if(!empty($_POST['postToDashboard'])) {
				$this->db->or_like('A.postToDashboard', $_POST['postToDashboard']);
			}
			if($_POST['nStatus'] == 1) {
				$this->db->or_where('A.nStatus', $_POST['nStatus']);
			} else if($_POST['nStatus'] == 0) {
				$this->db->or_where('A.nStatus', $_POST['nStatus']);
			} 
		}
		if($posted === TRUE){
			$this->db->where('A.postToDashboard', 1);
		}
		if($viewAll === TRUE) {
			$this->db->where_in('A.nStatus', array(0, 1));
		} else {
			$this->db->where('A.nStatus', 1);
		}
		if($limit > 0 OR $offset > 0) {
			$this->db->limit($limit, $offset);
		}
		$this->db->join('users B','B.user_id = A.addedByUserID', 'LEFT OUTER');
		$this->db->order_by('A.dDateAdded', 'DESC');
		$query = $this->db->get('bulletin_board A');
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function save($action)
    {
    	if($action == "insert") {
    		$this->data = array(
				'subject'			=>		$this->input->post('subject'),
				'message'			=>		$this->input->post('message'),
				'addedByUserID'		=>		$this->session->userdata('user_id'),
				'postToDashboard '	=>		(isset($_POST['postToDashboard'])) ? 1 : 0
			);	
			$this->db->insert("bulletin_board",$this->data);
			$result = $this->db->affected_rows();
			return ($result) ? $this->db->insert_id() : FALSE;
    	} 
    	else if($action == "update") {
    		$this->data = array(
				'subject'			=>		$this->input->post('subject'),
				'message'			=>		$this->input->post('message'),
				'addedByUserID'		=>		$this->session->userdata('user_id'),
				'postToDashboard '	=>		(isset($_POST['postToDashboard'])) ? 1 : 0
			);	
			$this->db->where('bulletin_id', $this->input->post('bulletin_id'));
			$this->db->update("bulletin_board",$this->data);
			$result = $this->db->affected_rows();
			return $result;
    	} else {
    		return FALSE;
    	}
    	
    }

	
	
}