<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * User Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Group_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	public function getUserDetails($username)
	{
		$this->db->select('A.group_id, A.department_id, A.designation_id, A.user_id, A.firstname, A.lastname, A.email, A.phone, A.token_id, A.session_id, A.fpTokenID, A.username, A.password, 
			B.privileges');
		$this->db->where('A.username',$username);	
		$this->db->join('user_group B', 'B.group_id = A.group_id', 'LEFT OUTER');
		$query = $this->db->get("users A");
		return $query->row();
	}

	public function getGroupDetails($id)
	{
		$this->db->where('group_id', $id);
		$query = $this->db->get('user_group');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}


	public function getGroups($limit = 0, $offset = 0, $search = FALSE, $viewAll = FALSE, $exportCSV = FALSE)
	{
		$this->db->select('group_id, group_name, group_desc, nStatus');
		if($search === TRUE) {
			if(!empty($_POST['group_name'])) {
				$this->db->or_like('group_name', $_POST['group_name']);
			}
			if(!empty($_POST['group_desc'])) {
				$this->db->or_like('group_desc', $_POST['group_desc']);
			}
			if($_POST['nStatus'] == 1) {
				$this->db->or_where('nStatus', $_POST['nStatus']);
			} else if($_POST['nStatus'] == 0) {
				$this->db->or_where('nStatus', $_POST['nStatus']);
			} 
		}
		if($viewAll === TRUE) {
			$this->db->where_in('nStatus', array(0, 1));
		} else {
			$this->db->where('nStatus', 1);
		}
		if($limit > 0 OR $offset > 0) {
			$this->db->limit($limit, $offset);
		}
		$query = $this->db->get('user_group');
		if($exportCSV === TRUE){
			return $query;
		} else {
			return ($query->num_rows() > 0) ? $query->result() : NULL;
		}	
	}

	public function getGroupsPermissions($permission_id)
	{
		$this->db->where('permission_id', $permission_id);
		$query = $this->db->get('group_permission');
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function getGroupIDs()
	{
		$query = $this->db->get('group_permission');
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function checkGroupPermission($permission_id, $menu_id, $permission_name)
	{
		$this->db->where(array(
			'menu_id'			=>	$menu_id,
			'permission_id'		=>	$permission_id,
			'permission_name'	=>	$permission_name
		));
		$query = $this->db->get('group_permission');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}

	public function del($id)
	{
		$this->db->query('DELETE FROM `user_group` WHERE `group_id` = ' . $id);
	}
	

	public function save($action, $newaccessgroup)
    {
    	if($action == "insert") {
    		$this->data = array(
				'group_name'	=>	$this->input->post('group_name'),
				'group_desc'	=>	$this->input->post('group_desc'),
				'privileges'	=>	serialize($newaccessgroup)
			);	
			$this->db->insert("user_group",$this->data);
			$result = $this->db->affected_rows();
			return ($result) ? $this->db->insert_id() : FALSE;
    	} 
    	else if($action == "update") {
    		$this->data = array(
				'group_name'	=>	$this->input->post('group_name'),
				'group_desc'	=>	$this->input->post('group_desc'),
				'privileges'	=>	serialize($newaccessgroup)
			);	
			$this->db->where('group_id', $this->input->post('group_id'));
			$this->db->update("user_group",$this->data);
			$result = $this->db->affected_rows();
			return $result;
    	} else {
    		return FALSE;
    	}
    	
    }

    public function updatepermission($newgroup, $permission_id)
    {
    	$this->data = array(
			'group_id'	=>	serialize($newgroup)
		);	
		$this->db->where('permission_id', $permission_id);
		$this->db->update("group_permission",$this->data);
		$result = $this->db->affected_rows();
		return $result;
    }

    public function updateNewGP($newgroupid, $permission_id)
    {
    	$this->data = array(
			'group_id'	=>	serialize($newgroupid)
		);	
		$this->db->where('permission_id', $permission_id);
		$this->db->update("group_permission",$this->data);
		$result = $this->db->affected_rows();
		return $result;
    }

	
	
}