<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Initial Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Initial_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	public function getDataDetails($id)
	{
		$this->db->where('initial_id', $id);
		$query = $this->db->get('initial');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}


	public function getAllInitial($limit = 0, $offset = 0)
	{
		$this->db->select('initial_id, initial_name, initial_desc, available_to_patient, available_to_employee, nStatus');
		$this->db->where_in('nStatus', array(0, 1));
		if($limit > 0 OR $offset > 0) {
			$this->db->limit($limit, $offset);
		}
		$query = $this->db->get('initial');
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function getInitialBy($availableTo)
	{
		$this->db->select('initial_id, initial_name');
		$this->db->where($availableTo, 1);
		$this->db->where_in('nStatus', array(0, 1));
		$query = $this->db->get('initial');
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function save($action)
    {
    	if($action == "insert") {
    		$this->data = array(
				'initial_name'				=>		$this->input->post('initial_name'),
				'initial_desc'				=>		$this->input->post('initial_desc'),
				'available_to_patient'		=>		(isset($_POST['available_to_patient'])) ? 1 : 0,
				'available_to_employee'		=>		(isset($_POST['available_to_employee'])) ? 1 : 0
			);	
			$this->db->insert("initial",$this->data);
			$result = $this->db->affected_rows();
			return ($result) ? $this->db->insert_id() : FALSE;
    	} 
    	else if($action == "update") {
    		$this->data = array(
				'initial_name'				=>		$this->input->post('initial_name'),
				'initial_desc'				=>		$this->input->post('initial_desc'),
				'available_to_patient'		=>		(isset($_POST['available_to_patient'])) ? 1 : 0,
				'available_to_employee'		=>		(isset($_POST['available_to_employee'])) ? 1 : 0
			);	
			$this->db->where('initial_id', $this->input->post('initial_id'));
			$this->db->update("initial",$this->data);
			$result = $this->db->affected_rows();
			return $result;
    	} else {
    		return FALSE;
    	}
    	
    }

	
	
}