<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Login Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Login_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}

	/**  
	*	Update user tokenID and sessionID.
	*	Will validate if php session value matches session value in database
	*/
	public function updateToken($tokenID, $sessionID)
	{
		$this->data = array(
			'token_id'			=>		$tokenID,
			'session_id'		=>		$sessionID
		);	
		$this->db->where('user_id', $this->session->userdata('user_id'));
		$this->db->update("users",$this->data);
		$result = $this->db->affected_rows();
		return ($result > 0) ? TRUE : FALSE;
	}
	
	public function validateEmailAddress()
	{
		$this->db->select("email, firstname, username, user_id");
		 $this->db->where(array(
                'email'     	=>      $this->input->post('email'),
				'nStatus'		=>		1
        ));
        $query = $this->db->get('users');
        return ($query->num_rows() == 1) ? $query->row() : FALSE;
	}

	public function updateUserFPToken($fpTokenID)
	{
		$this->data = array(
			'fpTokenID'			=>		$fpTokenID
		);	
		$this->db->where(array(
			'email'			=>		$this->input->post('email'),
			'nStatus'		=>		1
		));
		$this->db->update("users",$this->data);
	}

	public function validateToken($user_id, $fpTokenID){
		$this->db->select("*");
		 $this->db->where(array(
                'user_id'      	=>      $user_id,
                'fpTokenID'     =>      $fpTokenID,
				'nStatus'		=>		1
        ));
        $query = $this->db->get('users');
        return ($query->num_rows() == 1) ? $query->row() : false;
	}
	
}