<?php 
/**
 * Aspen Development Corporation
 *
 * @package	Aspen Development Corporation
 * @author	Jayson Sarino
 * @link	http://www.aspendevelopmentcorporation.com
 * @since	Version 1.0.0
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Department Class
 *
 * @package		Aspen Development Corporation
 * @category	Model
 * @author		Jayson Sarino
 */
class Sys_param_model extends CI_Model{
	
	public function __construct()
	{
		parent::__construct();	
	}


	public function getAllParams($where_in)
	{
		$where_in = implode("','", $where_in);
		$query = $this->db->query("SELECT DISTINCT `param_code` AS `code` 
									FROM `system_parameters` WHERE `param_code` IN('".$where_in."')
									ORDER BY `param_code`");
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function countParam($param_code)
	{
		$this->db->where('param_code', $param_code);
		$query = $this->db->get('system_parameters');
		return $query->num_rows();
	}

	public function getParamDetails($param_id)
	{
		$this->db->where('param_id', $param_id);
		$query = $this->db->get('system_parameters');
		return ($query->num_rows() == 1) ? $query->row() : NULL;
	}

	public function getParamList($param)
	{
		$this->db->where(array(
			'param_code'	=>	strtoupper($param),
			'nStatus'		=>	1
		));
		$query = $this->db->get('system_parameters');
		return ($query->num_rows() > 0) ? $query->result() : NULL;
	}

	public function save($action)
    {
    	if($action == "insert") {
    		$this->data = array(
				'param_code'	=>		$this->input->post('param_code'),
				'param_value'	=>		$this->input->post('param_value'),
				'param_desc'	=>		$this->input->post('param_desc')
			);	
			$this->db->insert("system_parameters",$this->data);
			$result = $this->db->affected_rows();
			return ($result) ? $this->db->insert_id() : FALSE;
    	} 
    	else if($action == "update") {
    		$this->data = array(
				'param_value'	=>		$this->input->post('param_value'),
				'param_desc'	=>		$this->input->post('param_desc')
			);	
			$this->db->where('param_id', $this->input->post('param_id'));
			$this->db->update("system_parameters",$this->data);
			$result = $this->db->affected_rows();
			return $result;
    	} else {
    		return FALSE;
    	}
    }

    public function deleteParam($param_id)
    {
    	$this->db->query('DELETE FROM `system_parameters` WHERE `param_id` = ' . $param_id);
    	$result = $this->db->affected_rows();
    	return $result;
    }

	
	
}