<style type="text/css">

.fc-resource-cell{
  height: 40px;
  font-size: 16px;
  text-transform: uppercase;
  line-height: 40px;
}

</style>
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small>Manage Patient's Appointments</small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Export
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="<?=base_url('export/print_page/print/appointment')?>" target="_blank"><i class="fa fa-print"></i> <?=$this->lang->line('export_print')?></a>
                        </li>
                        <li>
                            <a href="<?=base_url('export/print_page/pdf/appointment')?>" target="_blank"><i class="fa fa-file-pdf-o"></i> <?=$this->lang->line('export_pdf')?></a>
                        </li>
                        <li>
                            <a href="<?=base_url('export/print_page/excel/appointment')?>" target="_blank"><i class="fa fa-file-excel-o"></i> <?=$this->lang->line('export_excel')?></a>
                        </li>
                        <li>
                            <a href="<?=base_url('export/print_page/csv/appointment')?>" target="_blank"><i class="fa fa-file-excel-o"></i> <?=$this->lang->line('export_csv')?></a>
                        </li>

                    </ul>
                </div>
            </div>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$page_title?></span>
                        </div>
                        <div class="actions">
                            <label style="width:20px; height:20px; background-color:#1BA39C;">&nbsp;</label> Initial Consult&nbsp;&nbsp;&nbsp;
                            <label style="width:20px; height:20px; background-color:#4C87B9;">&nbsp;</label> Follow Up&nbsp;&nbsp;&nbsp;
                            <label style="width:20px; height:20px; background-color:#E7505A;">&nbsp;</label> Proposed&nbsp;&nbsp;&nbsp;
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div id='calendar'></div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Modal -->
        <div id="addAppModal" class="modal fade" role="dialog">
          <div class="modal-dialog">
            <!-- Modal content-->
            <form role="form" method="post" class="formaction" id="AddFormAppointment" action="<?=base_url('appointments/add_appointment')?>">
            <input type="hidden" name="date" id="date_app">
            <input type="hidden" name="start_time" id="start_time_app">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title" id="appTitle">Add Appointment ()</h4>
              </div>
              <div class="modal-body">  
                <div id="msgerror"></div>

                <div class="form-group pickPatient">
                  <label for="usr">Patient </label>
                  <div class="input-group">
                    <select class="form-control select2 select_dropdown" name="patient_id" id="patient_id" required>
                        <option value=""></option>
                        <?php 
                        if($patientList) {
                            foreach($patientList as $pl) {
                                echo "<option value='".$pl->id."'>".$pl->firstname.' '.$pl->lastname."</option>";
                            }
                        }
                        ?>
                    </select>
                    <span class="input-group-btn">
                        <button class="btn default" type="button" style="height:31px !important;" title="Quick Add Patient" onclick="quickAdd()">
                            <i class="fa fa-user-plus"></i>
                        </button>
                    </span>
                  </div>
                  
                </div>

                <div class="form-group appD hide">
                  <label for="appointment_type">Appointment Type</label>
                  <select class="form-control select2 select_dropdown" name="appointment_type" id="appointment_type" required>
                        <option value=""></option>
                        <option value="1">Initial Consult</option>
                        <option value="2">Follow Up</option>
                        <option value="3">Proposed</option>
                    </select>
                </div>
                <div class="form-group appD hide">
                  <label for="pwd">Duration</label>
                  <select class="form-control select2 select_dropdown" name="duration" id="duration" required>
                      <option value=""></option>
                      <?php for($dur=5; $dur<=60; $dur+=5){?>
                      <option value="<?=$dur?>"><?=$dur?> minutes</option>
                      <?php }?>
                      <option value="120">2 hours</option>
                      <option value="180">3 hours</option>
                      <option value="240">4 hours</option>
                      <option value="300">5 hours</option>
                      <option value="360">6 hours</option>
                      <option value="420">7 hours</option>
                      <option value="480">8 hours</option>
                  </select>
                </div>
                <div class="form-group appD hide">
                  <label for="pwd">Assigned Doctor</label>
                  <select class="form-control select2 select_dropdown" name="assgined_doctor" id="assgined_doctor" required>
                        <option value=""></option>
                        <?php 
                        if($doctorList) {
                            foreach($doctorList as $pl) {
                                echo "<option value='".$pl->user_id."'>".$pl->firstname.' '.$pl->lastname."</option>";
                            }
                        }
                        ?>
                    </select>
                </div>
                <div class="form-group appD hide">
                  <label for="pwd">Appointment Details</label>
                  <textarea class="form-control" name="appointment_reason" rows="8"></textarea>
                </div>

                <div class="form-group appNP hide">
                  <label for="firstname">First Name *</label>
                  <input type="text" name="firstname" id="quick_firstname" class="form-control">
                  <input type="hidden" id="quick_cmid" name="cmid" value="<?=$autocmid?>">
                </div>
                <div class="form-group appNP hide">
                  <label for="lastname">Last Name *</label>
                  <input type="text" name="lastname" id="quick_lastname" class="form-control">
                </div>
                <div class="form-group appNP hide">
                  <label for="phone_number">Phone Number</label>
                  <input type="text" name="phone_number" id="quick_phone_number" class="form-control">
                </div>
                <div class="form-group appNP hide">
                  <label for="gender">Gender</label>
                  <select class="form-control" id="quick_gender" name="gender" >
                    <option value=""></option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                    <option value="Unknown">Unknown</option>
                </select>
                </div>
                <div class="form-group appNP hide">
                  <label for="dob">Date of Birth</label>
                  <div class="input-group input-medium date date-picker" data-date-format="yyyy-mm-dd">
                      <input type="text" class="form-control" name="dob" id="quick_dob">
                      <span class="input-group-btn">
                          <button class="btn default" type="button"><i class="fa fa-calendar"></i></button>
                      </span>
                  </div>
                </div>
              </div>
              <div class="modal-footer">
                <button type="submit" class="btn blue-madison btnsubmit appD hide" name="btnsubmit">Save</button>
                <button type="button" class="btn btn-default appD" data-dismiss="modal">Close</button>

                <button type="button" class="btn blue-madison appNP hide" id="btnQuickPatient">Save Patient</button>
                <button type="button" class="btn btn-danger appNP hide" id="btnquick_cancel">Cancel</button>
              </div>
            </div>
            </form>
          </div>
        </div>


        <div id="editAppModal" class="modal fade modalAppointment" role="dialog">
          <div class="modal-dialog">
            <!-- Modal content-->
            <form role="form" method="post" class="formaction" id="EditFormAppointment" action="<?=base_url('appointments/edit_appointment')?>">
            <input type="hidden" id="date" name="date">
            <input type="hidden" id="patient_id_edit" name="patient_id">
            <input type="hidden" name="appointment_id" id="appointment_id">
            <input type="hidden" name="start_time" id="start_time">
            <input type="hidden" name="end_time" id="end_time">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title" id="EditApp">Edit Appointment</h4>
              </div>
              <div class="modal-body">  
              
                <div id="msgerror"></div>
                <div class="form-group">
                  <label for="appointment_type">Appointment Type</label>
                  <select class="form-control select2" name="appointment_type" id="appointment_type_edit" required>
                        <option value=""></option>
                        <option value="1">Initial Consult</option>
                        <option value="2">Follow Up</option>
                        <option value="3">Proposed</option>
                    </select>
                </div>
                <div class="form-group">
                  <label for="pwd">Duration</label>
                  <select class="form-control select2" name="duration" id="duration_edit" required>
                      <option value=""></option>
                      <?php for($dur=5; $dur<=60; $dur+=5){?>
                      <option value="<?=$dur?>"><?=$dur?> minutes</option>
                      <?php }?>
                      <option value="120">2 hours</option>
                      <option value="180">3 hours</option>
                      <option value="240">4 hours</option>
                      <option value="300">5 hours</option>
                      <option value="360">6 hours</option>
                      <option value="420">7 hours</option>
                      <option value="480">8 hours</option>
                  </select>
                </div>
                <div class="form-group">
                  <label for="pwd">Assigned Doctor</label>
                  <select class="form-control select2" name="assgined_doctor" id="assgined_doctor_edit" required>
                        <option value=""></option>
                        <?php 
                        if($doctorList) {
                            foreach($doctorList as $pl) {
                                echo "<option value='".$pl->user_id."'>".$pl->firstname.' '.$pl->lastname."</option>";
                            }
                        }
                        ?>
                    </select>
                </div>
                <div class="form-group">
                  <label for="pwd">Appointment Details</label>
                  <textarea class="form-control" id="appointment_reason" name="appointment_reason" rows="8"></textarea>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-info" onclick="medicalDocument()">Medical Document</button>
                <button type="button" class="btn green-haze" onclick="viewPatient()">View Patient</button>
                <button type="button" class="btn red" onclick="deleteApp()">Delete</button>
                <button type="submit" class="btn blue-madison btnsubmit" name="btnsubmit">Save</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
              </div>
            </div>
            </form>
          </div>
        </div>

        <div id="pickDoctorModal" class="modal fade" role="dialog">
          <div class="modal-dialog">
            <input type="hidden" id="dateCalendar" name="dateCalendar">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title" id="EditApp">Create Sheet</h4>
              </div>
              <div class="modal-body">  
                <div class="form-group">
                  <label for="pwd">Select Sheet</label>
                  <select class="form-control select2" name="modeExport" id="modeExport" required>
                        <option value="billing">Billing Sheet</option>
                        <option value="prescription">Prescription Sheet</option>
                        <option value="appointment">Appointment Sheet</option>
                        <option value="consult_notes">Consult Notes</option>
                    </select>
                </div>
                <div class="form-group">
                  <label for="pwd">Pick Doctor</label>
                  <select class="form-control select2" name="doctor_id" id="doctor_id" required>
                        <?php 
                        if($doctorList) {
                            foreach($doctorList as $pl) {
                                echo "<option value='".$pl->user_id."'>".$pl->firstname.' '.$pl->lastname."</option>";
                            }
                        }
                        ?>
                    </select>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn blue-madison" id="submitModalCalendar">Submit</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
              </div>
            </div>
          </div>
        </div>

        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>

<script>
function medicalDocument()
{
    var patient_id = $('#patient_id_edit').val();
    window.location.href = base_url + 'manage_patients/view/' + patient_id + '/1';
}
</script>