<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <!-- BEGIN PAGE HEAD-->
        <h3 class="page-title"><?=$this->lang->line('dashboard')?>
            <small><?=$this->lang->line('dashboard_subtitle')?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                </li>
            </ul>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE BASE CONTENT -->
        <!-- BEGIN DASHBOARD STATS 1-->
        <div class="row hide">
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <a class="dashboard-stat dashboard-stat-v2 blue" href="#">
                    <div class="visual">
                        <i class="fa fa-edit"></i>
                    </div>
                    <div class="details">
                        <div class="number">
                            <span data-counter="counterup" data-value="<?=$countAppointment?>>"><?=$countAppointment?></span>
                        </div>
                        <div class="desc"> Appointment Patients </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <a class="dashboard-stat dashboard-stat-v2 red" href="#">
                    <div class="visual">
                        <i class="fa fa-wheelchair"></i>
                    </div>
                    <div class="details">
                        <div class="number">
                            <span data-counter="counterup" data-value="<?=$countPatients?>"><?=$countPatients?></span></div>
                        <div class="desc"> Total Patients </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <a class="dashboard-stat dashboard-stat-v2 green" href="#">
                    <div class="visual">
                        <i class="fa fa-users"></i>
                    </div>
                    <div class="details">
                        <div class="number">
                            <span data-counter="counterup" data-value="<?=$countUsers?>"><?=$countUsers?></span>
                        </div>
                        <div class="desc"> Users </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <a class="dashboard-stat dashboard-stat-v2 purple" href="#">
                    <div class="visual">
                        <i class="fa fa-users"></i>
                    </div>
                    <div class="details">
                        <div class="number">
                            <span data-counter="counterup" data-value="<?=$countGroup?>"><?=$countGroup?></span> </div>
                        <div class="desc"> User Group </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="clearfix"></div>
        <!-- END DASHBOARD STATS 1-->

        
        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title tabbable-line">
                        <div class="caption">
                            <i class="fa fa-users font-green-jungle"></i>
                            <span class="caption-subject font-green-jungle bold uppercase">APPOINTMENTS (Walk-in)</span>
                        </div>
                        <ul class="nav nav-tabs">
                            <li class="active">
                                <a href="#todays_appointments" data-toggle="tab"> Today's Appointments (<?=(isset($todaysAppointment)) ? count($todaysAppointment) : 0?>)</a>
                            </li>
                            <li>
                                <a href="#my_all_appointments" data-toggle="tab"> Tomorrow's Appointments (<?=(isset($tomorrowAppointment)) ? count($tomorrowAppointment) : 0?>)</a>
                            </li>
                            <li>
                                <a href="#all_appointments" data-toggle="tab"> All Appointments (<?=(isset($allAppointment)) ? count($allAppointment) : 0?>)</a>
                            </li>
                        </ul>
                    </div>
                    <div class="portlet-body">
                        <div class="tab-content">
                            <div class="tab-pane active" id="todays_appointments">
                                <div id="todays_appointments_div"></div>
                            </div>
                            <div class="tab-pane" id="my_all_appointments">
                                <div id="my_all_appointments_div"></div>
                            </div>
                            <div class="tab-pane" id="all_appointments">
                                <div id="all_appointments_div"></div>
                            </div>
                        </div>
                    </div>
                    <div class="scroller-footer hide">
                        <?php if($addBulletin){ ?>
                        <div class="btn-arrow-link pull-right">
                            <a href="<?=base_url('appointments');?>">View Appointments</a>
                            <i class="icon-arrow-right"></i>
                        </div>  
                        <?php }?>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-list-alt font-green-jungle"></i>
                            <span class="caption-subject font-green-jungle bold uppercase">RECENT ACTIVITIES</span>
                        </div>
                        <div class="actions">
                            <a href="javascript:;" class="btn btn-sm green-jungle" onclick="loadRecentActivities();">
                            <i class="fa fa-repeat"></i> Refresh </a>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="scroller" style="height: 339px;" data-always-visible="1" data-rail-visible="0">
                            <div id="listRecentActivities"></div>
                        </div>
                    </div>
                    <div class="scroller-footer">
                        
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>

<div class="modal fade viewAppointment" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">View Appointment</h4>
            </div>
            <div class="modal-body">
                <div class="descApp"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
function viewDesc(id)
{
    $.ajax({
        url: base_url + 'appointments/getDescApp/' + id,
        success: function(data){
            $('.viewAppointment').modal('show');
            $('.descApp').html(data);
        }
    });
}
</script>