<?php if($rsTodaysApp){?>
	<div class="1">
		<table class="table table-bordered table-hover">
			<thead>
				<tr>	
					<?php if(isset($allApp) AND $allApp == 1){?>
						<th style="width:5%;">Actions</th>
						<th style="width:15%;">Patient Name</th>
						<th style="width:15%;">Type</th>
						<th style="width:30%;">Comments</th>
						<th style="width:20%;">Appointment Date</th>
						<th style="width:20%;">Created</th>
						<th style="width:10%;">Status</th>
					<?php } else {?>
						<th style="width:5%;">Actions</th>
						<th style="width:15%;">Patient Name</th>
						<th style="width:15%;">Type</th>
						<th style="width:40%;">Comments</th>
						<th style="width:20%;">Created</th>
						<th style="width:10%;">Status</th>
					<?php }?>
					
				</tr>
			</thead>
			<tbody>
				<?php foreach($rsTodaysApp as $rta){
					$statRow = ($rta->appointment_status == 1) ? 'success' : 'active';

					if(date('Y-m-d',strtotime($rta->start_date)) > date('Y-m-d') AND date('Y-m-d',strtotime($rta->start_date)) == date('Y-m-d')) {
						$statRow = 'danger';
						$statApp = 'Overdue';
					} else {
						$statRow = ($rta->appointment_status == 1) ? 'success' : 'active';
						$statApp = ($rta->appointment_status == 1) ? 'Pending' : 'Done';
					}
					
					
				?>
				<tr class="<?=$statRow?>">
					<td>
						<?php if($rta->appointment_status == 1) {?>
						<div class="btn-group">
                            <button class="btn btn-xs green dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false"> Actions
                                <i class="fa fa-angle-down"></i>
                            </button>
                            <ul class="dropdown-menu" role="menu">
                                <li><a href="javascript:;" onclick="editApp(<?=$rta->appID?>)"><i class="icon-pencil"></i> Edit </a></li>
                                <li><a href="javascript:;" onclick="deleteApp(<?=$rta->appID?>)"><i class="icon-trash"></i> Delete </a></li>
                                <?php if(date('Y-m-d',strtotime($rta->start_date)) == date('Y-m-d')) {?>
                                <li><a href="javascript:;" onclick="doneApp(<?=$rta->appID?>)"><i class="icon-check"></i> Mark as Done </a></li>
                            	<?php }?>
                            </ul>
                        </div>
                        <?php } else{
                        	echo "Done";
                        }?>
					</td>
					<td><a href="<?=base_url('manage_patients/view/' . $rta->id)?>"><?=$rta->firstname.' '.$rta->lastname?></a></td>
					<td><?=($rta->appointment_type == 1) ? "Initial Consult" : "Follow Up";?></td>
					<td><?=$rta->appointment_reason?></td>
					<?php if(isset($allApp) AND $allApp == 1){?><td><?=date('F d, Y',strtotime($rta->start_date))?></td><?php }?>
					<td><?=date('F d, Y h:i:s A',strtotime($rta->date_created))?></td>
					<td><?=$statApp?></td>
				</tr>
				<?php }?>
			</tbody>
		</table>
	</div>
<?php }else { ?>
<center>
    <div style="margin-top:50px;margin-bottom:50px;">
        <div style="color:#82949a; margin-top:10px;">No appointments found</div>
    </div>
</center>
<?php }?>


<script type="text/javascript">
function deleteApp(id)
{
	if(confirm('Are you sure you want to delete this appointment?')) {
		$.ajax({
			url: base_url + 'general/deleteApp/' + id,
			success: function() {
				toastNotification('SUCCESS', 'Appointment has been deleted', 'success');
				location.reload();
			}, beforeSend: function() {
				toastNotification('PLEASE WAIT', 'Deleting appointment...', 'info');
			}
		});
	}
}

function doneApp(id)
{
	if(confirm('Are you sure you want to mark as done this appointment?')) {
		$.ajax({
			url: base_url + 'general/doneApp/' + id,
			success: function() {
				toastNotification('SUCCESS', 'Appointment has been marked as done', 'success');
				location.reload();
			}, beforeSend: function() {
				toastNotification('PLEASE WAIT', 'Updating appointment...', 'info');
			}
		});
	}
}

function doneAppEdit()
{
	if(confirm('Are you sure you want to mark as done this appointment?')) {
		var id = $('#appointment_id_edit').val();
		$.ajax({
			url: base_url + 'general/doneApp/' + id,
			success: function() {
				toastNotification('SUCCESS', 'Appointment has been marked as done', 'success');
				location.reload();
			}, beforeSend: function() {
				toastNotification('PLEASE WAIT', 'Updating appointment...', 'info');
			}
		});
	}
}



function deleteAppEdit()
{
	if(confirm('Are you sure you want to delete this appointment?')) {
		var id = $('#appointment_id_edit').val();
		$.ajax({
			url: base_url + 'general/deleteApp/' + id,
			success: function() {
				toastNotification('SUCCESS', 'Appointment has been deleted', 'success');
				location.reload();
			}, beforeSend: function() {
				toastNotification('PLEASE WAIT', 'Deleting appointment...', 'info');
			}
		});
	}
}

function editApp(id)
{
	$.ajax({
		url: base_url + 'general/getAppointmentDetails/' + id,
		dataType: 'json',
		success: function(result) {
			$('#patient_id_edit').val(result.patient_id);
			$('#start_date_edit').val(result.date);
			$('#appointment_id_edit').val(result.id);
			$('#editFor').text(result.firstname + ' ' + result.lastname);
			$('#appointment_type_edit').val(result.appointment_type).trigger('change');
			var appointment_reason = replaceAll(result.appointment_reason, '<br />', '');
			$('#appointment_reason_edit').val(appointment_reason);
			$('#editAppModal').modal('show');
		}, beforeSend: function() {
			toastNotification('PLEASE WAIT', 'Fetching appointment...', 'info');
		}
	});
	
}

function replaceAll(str, find, replace) {
     return str.replace(new RegExp(find, 'g'), replace);
}
</script>

