<?php 
if(!$results){
	echo 'No record found.';
} else {
?>
<table class="table table-hover table-striped">
<thead>
	<tr>
		<th style="width:10%;">Date</th>
        <th style="width:25%;">Wt/bp/temp</th>
        <th style="width:25%;">Age of gestation</th>
        <th style="width:15%;">Created</th>
		<th style="width:15%;">Modified</th>
		<th style="width:10%;">Actions</th>
	</tr>
</thead>
<tbody>
	<?php foreach($results as $res){?>
	<tr>
        <td><?=date("F d, Y",strtotime($res->date_created))?></td>
		<td>
			<dl>
            	<dt>Weight</dt>
                <dd><?=(!empty($res->weight)) ? $res->weight : '-'?></dd>
                <dt>Blood Pressure</dt>
                <dd><?=(!empty($res->bp)) ? $res->bp : '-'?></dd>
                <dt>Body Temperature</dt>
                <dd><?=(!empty($res->temp)) ? $res->temp : '-'?></dd>
            </dl>
		</td>
        <td><?=(!empty($res->age_gestation)) ? $res->age_gestation : '-'?></td>
		<td>
			<dl>
				<dd><?=$res->createdBy?><br /><span class="help-block"><?=date("m/d/Y h:i A",strtotime($res->date_created))?></span></dd>
			</dl>
		</td>
        <td>
            <dl>
                <dd>
                    <?php if(!empty($res->modifiedByUserID)) {?>
                    <?=$res->modifiedBy?><br /><span class="help-block"><?=date("m/d/Y h:i A",strtotime($res->date_modified))?></span>
                    <?php } else {
                        echo '<i>- not yet modified -</i>';
                    }?>
                </dd>
            </dl>
        </td>
		<td>
            <a href="javascript:;" style="width:100px !important; text-align:left;" class="btn green-jungle" data-toggle="modal" data-target="#myModal<?=$res->docs_id?>"><i class="icon-eye"></i> View</a>
            <a href="javascript:;" style="width:100px !important; text-align:left;" class="btn green-jungle" onclick="edit_record('<?=$res->docs_id?>')"><i class="icon-pencil"></i> Edit</a>
            <a href="javascript:;" style="width:100px !important; text-align:left;" class="btn green-jungle" onclick="delete_record('<?=$res->docs_id?>')"><i class="icon-trash"></i> Delete</a>
		
            <div id="myModal<?=$res->docs_id?>" class="modal fade" role="dialog">
                <div class="modal-dialog">

                    <!-- Modal content-->
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Patient Record as of <?=date("F d, Y",strtotime($res->date_created))?></h4>
                        </div>
                        <div class="modal-body">
                            <dl>
                                <dt>Weight</dt>
                                <dd><?=(!empty($res->weight)) ? $res->weight : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Blood Pressure</dt>
                                <dd><?=(!empty($res->bp)) ? $res->bp : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Body Temperature</dt>
                                <dd><?=(!empty($res->temp)) ? $res->temp : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Age of gestation</dt>
                                <dd><?=(!empty($res->age_gestation)) ? $res->age_gestation : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Fetal heart beat/presentation/est. fetal wt</dt>
                                <dd><?=(!empty($res->fetal_heart_beat)) ? $res->fetal_heart_beat : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Chief complain</dt>
                                <dd><?=(!empty($res->chief_complain)) ? $res->chief_complain : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Internal Exam</dt>
                                <dd><?=(!empty($res->internal_exam)) ? $res->internal_exam : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Lab results</dt>
                                <dd><?=(!empty($res->lab_results)) ? $res->lab_results : '-'?></dd>
                                <dd>&nbsp;</dd>
                                <dt>Comments</dt>
                                <dd><?=(!empty($res->comments)) ? $res->comments : '-'?></dd>
                                <dd>&nbsp;</dd>
                            </dl>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        </div>
                    </div>

                </div>
            </div>
        </td>
	</tr>
	<?php }?>
</tbody>
</table>
<?php }?>