<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->
        <input type="hidden" id="patientID" value="<?=$rsDetails->id?>">
        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-green-jungle bold uppercase"><?=$rsDetails->firstname . ' ' . $rsDetails->lastname?></span>
                        </div>
                        <div class="actions">
                            <a href="<?=base_url('manage_patients')?>" class="btn green-jungle"><i class="fa fa-list"></i> Back to Patients List</a>
                        </div>
                    </div>
                    <div class="portlet-body">    
                        <div class="row">
                            <div class="col-md-6">
                                <div class="portlet box green-meadow">
                                    <div class="portlet-title">
                                        <div class="caption">Patient Details</div>
                                        <div class="actions">
                                            <a href="<?=base_url('Manage_patients/edit/'.$rsDetails->id)?>" class="btn green-jungle"><i class="fa fa-edit"></i> Edit Patient Details</a>
                                        </div>
                                    </div>
                                    <div class="portlet-body">
                                        <dl>
                                            <dt>Patient Name</dt>
                                            <dd><?=ucwords($rsDetails->firstname . ' ' . $rsDetails->middlename . ' ' . $rsDetails->lastname)?></dd>
                                            <dt>Email Address</dt>
                                            <dd><?php if(!empty($rsDetails->email_address)) {?><a href="mailto:<?=$rsDetails->email_address?>"><?=$rsDetails->email_address?></a> <?php }else{ echo '---';}?></dd>
                                            <dt>Date of Birth</dt>
                                            <dd><?=(!empty($rsDetails->dob)) ? date('d/M/Y', strtotime($rsDetails->dob)) : '-'?></dd>
                                            <dt>Last Men's Period</dt>
                                            <dd><?=($rsDetails->phone_number != '') ? $rsDetails->phone_number : '-'?></dd>
                                            <dt>Home Address</dt>
                                            <dd><?=ucwords($rsDetails->home_address. ' ' . $rsDetails->city . ' ' . $rsDetails->province . ' ' . $rsDetails->postal_code)?></dd>
                                        </dl>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="portlet box green-meadow">
                                    <div class="portlet-title">
                                        <div class="caption">Notes</div>
                                    </div>
                                    <div class="portlet-body" >
                                        <?=($rsDetails->notes != '') ? $rsDetails->notes : '-'?><br /><br /><br /><br />
                                    </div>
                                </div>
                            </div>
                        </div>  
                        <div class="row">
                            <div class="col-md-12">
                                <div class="portlet box green-meadow">
                                    <div class="portlet-title">
                                        <div class="caption">Patient Visit Records</div>
                                        <div class="actions">
                                            <a href="javascript:;" class="btn green-jungle" data-target="#myModal" data-toggle="modal" ><i class="fa fa-plus"></i> New Record</a>
                                        </div>
                                    </div>
                                    <div class="portlet-body">
                                        <div id="medical_records" class="table-responsive"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>

<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <form role="form" method="post" class="formaction" id="patient_medical" action="<?=base_url('manage_patients/save_record')?>" enctype="multipart/form-data">
    <input type="hidden" name="cmid" value="<?=$rsDetails->cmid?>">
    <input type="hidden" name="patient_id" value="<?=$rsDetails->id?>">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Add Record</h4>
          </div>
          <div class="modal-body">
            <span class="requiredField">*</span> = required fields<br /><br />
            <div class="form-group">
                <label for="weight">Weight</label>
                <input type="text" class="form-control" name="weight" tabindex="1" autofocus>
            </div>
            <div class="form-group">
                <label for="bp">Blood Pressure <span class="requiredField">*</span></label>
                <input type="text" class="form-control" name="bp" tabindex="2" required>
            </div>
            <div class="form-group">
                <label for="temp">Body Temperature</label>
                <input type="text" class="form-control" name="temp" tabindex="3">
            </div>
            <div class="form-group">
                <label for="age_gestation">Age of gestation </label>
                <input type="text" class="form-control" name="age_gestation" tabindex="4">
            </div>
            <div class="form-group">
                <label for="fetal_heart_beat">Fetal heart beat/presentation/est. fetal wt </label>
                <textarea class="form-control" id="fetal_heart_beat" name="fetal_heart_beat" rows="4" tabindex="5"></textarea>
            </div>
            <div class="form-group">
                <label for="chief_complain">Chief complain</label>
                <textarea class="form-control" id="chief_complain" name="chief_complain" rows="4" tabindex="6"></textarea>
            </div>
            <div class="form-group">
                <label for="internal_exam">Internal Exam</label>
                <textarea class="form-control" id="internal_exam" name="internal_exam" rows="4" tabindex="7"></textarea>
            </div>
            <div class="form-group">
                <label for="lab_results">Lab results</label>
                <textarea class="form-control" id="lab_results" name="lab_results" rows="4" tabindex="8"></textarea>
            </div>
            <div class="form-group">
                <label for="comments">Comments</label>
                <textarea class="form-control" id="comments" name="comments" rows="4" tabindex="9"></textarea>
            </div>
          </div>
          <div class="modal-footer">
            <button type="submit" class="btn green-jungle btnsubmit" name="btnsubmit" tabindex="10">Save</button>
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
    </div>
    </form>
  </div>
</div>


<div id="myModaledit" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <form role="form" method="post" class="formaction" id="patient_medical_edit" action="<?=base_url('manage_patients/edit_record')?>">
    <input type="hidden" id="docs_id_edit" name="docs_id">
    <input type="hidden" id="cmid" name="cmid">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Edit Record</h4>
          </div>
          <div class="modal-body">
            <span class="requiredField">*</span> = required fields<br /><br />
            <div class="form-group">
                <label for="weight">Weight</label>
                <input type="text" class="form-control" name="weight" id="weight_edit" tabindex="1" autofocus>
            </div>
            <div class="form-group">
                <label for="bp">Blood Pressure <span class="requiredField">*</span></label>
                <input type="text" class="form-control" name="bp" id="bp_edit" tabindex="2" required>
            </div>
            <div class="form-group">
                <label for="temp">Body Temperature</label>
                <input type="text" class="form-control" name="temp" id="temp_edit" tabindex="3">
            </div>
            <div class="form-group">
                <label for="age_gestation">Age of gestation </label>
                <input type="text" class="form-control" name="age_gestation" id="age_gestation_edit" tabindex="4">
            </div>
            <div class="form-group">
                <label for="fetal_heart_beat">Fetal heart beat/presentation/est. fetal wt </label>
                <textarea class="form-control" id="fetal_heart_beat_edit" name="fetal_heart_beat" rows="4" tabindex="5"></textarea>
            </div>
            <div class="form-group">
                <label for="chief_complain">Chief complain</label>
                <textarea class="form-control" id="chief_complain_edit" name="chief_complain" rows="4" tabindex="6"></textarea>
            </div>
            <div class="form-group">
                <label for="internal_exam">Internal Exam</label>
                <textarea class="form-control" id="internal_exam_edit" name="internal_exam" rows="4" tabindex="7"></textarea>
            </div>
            <div class="form-group">
                <label for="lab_results">Lab results</label>
                <textarea class="form-control" id="lab_results_edit" name="lab_results" rows="4" tabindex="8"></textarea>
            </div>
            <div class="form-group">
                <label for="comments">Comments</label>
                <textarea class="form-control" id="comments_edit" name="comments" rows="4" tabindex="9"></textarea>
            </div>
          </div>
          <div class="modal-footer">
            <button type="submit" class="btn green-jungle btnsubmit" name="btnsubmit">Save</button>
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
    </div>
    </form>
  </div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<script>
loadMedicalDocs();


function loadMedicalDocs()
{
    var patient_id = $('#patientID').val();
    $.ajax({
        url: "<?=base_url('manage_patients/loadMedicalDocs/')?>" + patient_id,
        success: function(data) {
            $('#medical_records').html(data);
        }, beforeSend: function() {
            $('#medical_records').html("<center><img src='<?=base_url('public/images/loading.gif')?>' style='height:100px;'><br />Please wait...</center>");
        }
    });
}

function delete_record(id)
{
    if(confirm('Are you sure you want to delete this record?'))
    {
        $.ajax({
            url: base_url + 'manage_patients/delete_record/' + id,
            dataType: 'json',
            success: function(data){
                if(data.success){
                    loadMedicalDocs()
                } else {
                    alert("Their's an error in deleting this record, please try again or contact your system administrator.");
                }
                
            }
        });
    }
}

function edit_record(id)
{
    $.ajax({
        url: base_url + 'manage_patients/getRecord/' + id,
        dataType: 'json',
        success: function(data){
            $('#docs_id_edit').val(data.docs_id);
            $('#weight_edit').val(data.weight);
            $('#bp_edit').val(data.bp);
            $('#temp_edit').val(data.temp);
            $('#age_gestation_edit').val(data.age_gestation);

            var fetal_heart_beat = replaceAll(data.fetal_heart_beat, "<br />", "");
            $('#fetal_heart_beat_edit').val(fetal_heart_beat);

            var chief_complain = replaceAll(data.chief_complain, "<br />", "");
            $('#chief_complain_edit').val(chief_complain);

            var internal_exam = replaceAll(data.internal_exam, "<br />", "");
            $('#internal_exam_edit').val(internal_exam);

            var lab_results = replaceAll(data.lab_results, "<br />", "");
            $('#lab_results_edit').val(lab_results);

            var comments = replaceAll(data.comments, "<br />", "");
            $('#comments_edit').val(comments);

            $('#myModaledit').modal('show');
        }
    });
}

function replaceAll(str, find, replace) {
     return str.replace(new RegExp(find, 'g'), replace);
}
</script>