<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN THEME PANEL -->
        <?php  if($isAllowChangeTheme) { require_once(APPPATH.'views/theme_panel.php'); } ?>
        <!-- END THEME PANEL -->
        <h3 class="page-title"><?=$page_title?>
            <small><?=$page_sub_title?></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-dashboard"></i>
                    <a href="<?=base_url()?>"><?=$this->lang->line('dashboard')?></a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_sub_title?></span>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><?=$page_title?></span>
                </li>
            </ul>
        </div>
        <!-- BEGIN PAGE BASE CONTENT -->

        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form role="form" method="post" class="formaction form-horizontal" action="<?=base_url('manage_users/edit')?>">
                <input type="hidden" name="user_id" id="user_id" value="<?=$userDetails->user_id?>">
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$this->lang->line('manage_users_personal')?></span>
                        </div>
                        <div class="actions">
                        <button type="submit" class="btn blue-madison btnsubmit" name="btnsubmit"><i class="fa fa-plus"></i> <?=$this->lang->line('manage_users_savebtn')?></button>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="firstname"><?=$this->lang->line('manage_users_lblfirstname')?> <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="firstname" name="firstname" required tabindex="1" autofocus value="<?=$userDetails->firstname?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="lastname"><?=$this->lang->line('manage_users_lbllastname')?> <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="lastname" name="lastname" tabindex="2" value="<?=$userDetails->lastname?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="group_id"><?=$this->lang->line('manage_users_lblgroup')?> <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <select class="form-control select2" id="group_id" name="group_id" required tabindex="3">
                                                <option value=""></option>
                                                <?php 
                                                if($groupList) {
                                                    foreach($groupList as $group) {
                                                        $checked = ($userDetails->group_id == $group->group_id) ? "selected" : "";
                                                        echo "<option value='".$group->group_id."' " . $checked . ">".$group->group_name."</option>";
                                                    }
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="department_id"><?=$this->lang->line('manage_users_lbldepartment')?> <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <div class="input-group">
                                                <input type="hidden" id="department_id" name="department_id" value="<?=$userDetails->department_id?>">
                                                <input type="text" class="form-control department_id" value="<?=$userDetails->department_name?>" tabindex="4" readonly required>
                                                <span class="input-group-btn">
                                                    <button class="btn btn-default btn-sm" type="button" onclick="searchParam('department','','department_id')"><i class="fa fa-search"></i></button>
                                                </span>
                                                <?php if($addDepartment){?>
                                                <span class="input-group-btn">
                                                    <button class="btn btn-default btn-sm" type="button" onclick="quickAdd('manage_department')"><i class="fa fa-plus"></i></button>
                                                </span>
                                                <?php }?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="designation_id"><?=$this->lang->line('manage_users_lbldesignation')?> <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <div class="input-group">
                                                <input type="hidden" id="designation_id" name="designation_id" value="<?=$userDetails->designation_id?>">
                                                <input type="text" class="form-control designation_id" value="<?=$userDetails->designation_name?>" tabindex="5" readonly required>
                                                <span class="input-group-btn">
                                                    <button class="btn btn-default btn-sm" type="button" onclick="searchParam('designation','','designation_id')"><i class="fa fa-search"></i></button>
                                                </span>
                                                <?php if($addDesignation){?>
                                                <span class="input-group-btn">
                                                    <button class="btn btn-default btn-sm" type="button" onclick="quickAdd('manage_designation')"><i class="fa fa-plus"></i></button>
                                                </span>
                                                <?php }?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-cursor font-dark hide"></i>
                            <span class="caption-subject font-dark bold uppercase"><?=$this->lang->line('manage_users_contact')?></span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="email"><?=$this->lang->line('manage_users_lblemail')?> <span class="requiredField">*</span></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="email" name="email" required tabindex="6" value="<?=$userDetails->email?>">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="phone"><?=$this->lang->line('manage_users_lblcontact')?></label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" id="phone" name="phone" tabindex="7" value="<?=$userDetails->phone?>">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>