<ul class="nav nav-tabs">
    <li class="active tabHeader" id="manageTab">
        <a href="#tab_1_1" data-toggle="tab"> <?=$this->lang->line('manage')?> </a>
    </li>
    <?php if(!$addPermission) {?>
    <li id="formTab" class="tabHeader">
        <a href="#tab_1_2" data-toggle="tab" id="actionTab"> <?=$this->lang->line('add')?> </a>
    </li>
    <?php }?>
</ul>
<div class="tab-content">
    <div class="tab-pane fade active in" id="tab_1_1">
        <div id="paramTableList"></div>
    </div>
    <?php if(!$addPermission) {?>
    <div class="tab-pane fade" id="tab_1_2">
        <form role="form" method="post" class="formParam form-horizontal" action="<?=base_url('system_parameters/saveParam')?>">
        	<input type="hidden" name="param_code" id="param_code" value="<?=strtoupper($param)?>">
        	<input type="hidden" name="action" id="action" value="insert">
        	<input type="hidden" name="param_id" id="param_id">
            <div class="form-body">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="param_value"><?=strtoupper(str_replace("_", " ", $param))?> <span class="requiredField">*</span></label>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="param_value" name="param_value" required tabindex="1" autofocus>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label" for="param_desc"><?=$this->lang->line('desc')?></label>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="param_desc" name="param_desc" tabindex="2">
                    </div>
                </div>
            </div>
            <div class="form-actions noborder">
                <button type="submit" class="btn blue" id="btnSave"><?=$this->lang->line('save')?></button>
            </div>
        </form>
    </div>
    <?php }?>
</div>

<script>
$(document).ready(function(){

	
	getParam();

	$('.formParam').on('submit', function(e){

		e.preventDefault();
		
		var formdata = $(this).serialize();
		var url = $(this).attr('action');
		var t = $('#btnSave');

		$.ajax({
			url: url,
			data: formdata,
			type: "POST",
			dataType: "json",
			success: function(data) {
				t.button("reset");
		        if (data.success) {
		            toastNotification("SUCCESS", data.message, "success");
		            if(data.formaction == 'reset') {
		            	$('.formParam')[0].reset();
		            }

		            if(data.action == 'update') {
		            	$('#actionTab').text('Add');
		            }

		            $('.tabHeader').removeClass('active');
		            $('.tab-pane').removeClass('active in');

		            $('#manageTab').addClass('active');
		            $('#tab_1_1').addClass('active in');

		            getParam();

		        } else {
		            toastNotification("ERROR", data.message, "error");
		        }
			}, beforeSend: function() {
				t.button("loading");
			}
		});

	});

});

function getParam()
{
	var param = $('#param_code').val();

	$.ajax({
		url: '<?=base_url()?>system_parameters/getAllParam/' + param,
		type: "POST",
		success: function(data) {
			$('#paramTableList').html(data);
		}, beforeSend: function() {
			$('#paramTableList').html("<br /><img src='<?=base_url()?>public/images/loading.gif'><br />Loading...");
		}
	});
}

function deleteParam(param_id)
{
	bootbox.confirm("Are you sure?", function(result) {
       if(result) {
       		$.ajax({
       			url: '<?=base_url()?>system_parameters/deleteParam/' + param_id,
       			dataType: 'json',
       			success: function(data) {
       				if (data.success) {
			            toastNotification("SUCCESS", data.message, "success");
			            getParam();
			        } else {
			            toastNotification("ERROR", data.message, "error");
			        }
       			}
       		});
       }
    }); 
}

function editParam(param_id)
{
	$.ajax({
		url: '<?=base_url()?>system_parameters/editParam/' + param_id,
		dataType: 'json',
		success: function(data) {

			$('.tabHeader').removeClass('active');
            $('.tab-pane').removeClass('active in');

            $('#formTab').addClass('active');
            $('#tab_1_2').addClass('active in');

            $('#actionTab').text('Edit');
            $('#action').val('update');
            $('#param_id').val(data.param_id);
            $('#param_value').focus();
            $('#param_value').val(data.param_value);
            $('#param_desc').val(data.param_desc);
		}
	});
}
</script>