$(document).ready(function(){

    loadData();
    loadDataCharges();

    $('#myModal').on('hidden.bs.modal', function () {
        $('.formactionmodal').attr("action", "tax_setup/add");
        $('.formactionmodal')[0].reset();
    })

    $('#myModalCharges').on('hidden.bs.modal', function () {
        $('#formCharges').attr("action", "tax_setup/addCharges");
        $('#formCharges')[0].reset();
    })

    $('.chargeFormat').on('click', function(){
        val = this.value;
        currency_symbol = $('#currency_symbol').val();
        if(val == 1) {
            $('#chargeSymbol').text(currency_symbol);
        } else if(val == 2) {
            $('#chargeSymbol').text('%');
        }
    });

    $('#isTaxable').on('click', function(){
        var checked = $(this).is(':checked');
        if(checked) {
            $('#select_tax').css('display', 'inline');
            $(".multiple_taxes").prop("required", true);
        } else {
            $('#select_tax').css('display', 'none');
            $(".multiple_taxes").prop("required", false);
        }
    });

    $('#formCharges').on('submit', function(e){
        e.preventDefault();
        var formdata = $(this).serialize();
        var url = $(this).attr("action");

        console.log(formdata);

        $.ajax({
            url: url,
            dataType: 'json',
            type: 'post',
            data: formdata,
            success: function(data) {
                console.log(data)
                toastr.clear();
                if(data.success) {
                    toastNotification('SUCCESS', data.message, 'success');
                    loadDataCharges()
                    $(".select2-multiple").val(null).trigger("change");
                    $('#formCharges')[0].reset();
                    $('#myModalCharges').modal('hide');
                } else {
                    toastNotification('ERROR', data.message, 'error');
                }
            }, beforeSend: function() {
                toastNotification('INFO', 'Please wait...', "info");
            }
        });
    });

});

function loadData() {
    $("#taxes-content").load("/tax_setup/taxes");
}

function loadDataCharges() {
    $("#charges-content").load("/tax_setup/charges");
}

function deleteTax(id) {
    bootbox.confirm("Are you sure you want to <strong>Delete</strong>?", function(result) {
       if(result) {
            $.ajax({
                url: $('#base_url').val() + 'tax_setup/deleteTax/' + id,
                dataType: 'json',
                success: function(data) {
                	toastr.clear();
                    if(data.success) {
                        toastNotification('SUCCESS', data.message, 'success');
                    } else {
                        toastNotification('ERROR', data.message, 'error');
                    }
                    loadData();
                }, beforeSend: function() {
                    toastNotification('INFO', 'Please wait...', "info");
                }
            });
       }
    });
}

function deleteCharge(id) {
    bootbox.confirm("Are you sure you want to <strong>Delete</strong>?", function(result) {
       if(result) {
            $.ajax({
                url: $('#base_url').val() + 'tax_setup/deleteCharge/' + id,
                dataType: 'json',
                success: function(data) {
                    toastr.clear();
                    if(data.success) {
                        toastNotification('SUCCESS', data.message, 'success');
                        loadDataCharges();
                    } else {
                        toastNotification('ERROR', data.message, 'error');
                    }
                }, beforeSend: function() {
                    toastNotification('INFO', 'Please wait...', "info");
                }
            });
       }
    });
}

function editCharge(id) {
    $.ajax({
        url: $('#base_url').val() + 'tax_setup/editCharge/' + id,
        dataType: 'json',
        success: function(data) {
            toastr.clear();
            $('#formCharges').attr("action", "tax_setup/editCharge");
            $('#charge_id').val(data.charge_id);
            $('#charge_name').val(data.charge_name);
            if(data.charge_format == 1) {
                $('#directChk').prop('checked', true);
            } else {
                $('#percentChk').prop('checked', true);
            }
            $('#charge_value').val(data.charge_value);
            if(data.isTaxable == 1) {
                $('#isTaxable').prop('checked', true);
            } else {
                $('#isTaxable').prop('checked', false);
            }
            var taxes = data.taxes;
            $.each(taxes.split(","), function(i,e){
                $("#multiple option[value='" + e + "']").prop("selected", true);
            });
            var selectedValues = data.taxes.split(',');
            $("#multiple").val(selectedValues).trigger("change");
            $('#myModalCharges').modal('show');
        }, beforeSend: function() {
            toastNotification('INFO', 'Please wait...', "info");
        }
    });
}

function editTax(id) {
    $.ajax({
        url: $('#base_url').val() + 'tax_setup/editTax/' + id,
        dataType: 'json',
        success: function(data) {
            toastr.clear();
            $('.formactionmodal').attr("action", "tax_setup/editTax");
            $('#tax_id').val(data.tax_id);
            $('#tax_name').val(data.tax_name);
            $('#tax_value').val(data.tax_value);
            if(data.nStatus == 1) {
                $('#tax_status').prop('checked', true);
            } else {
                $('#tax_status').prop('checked', false);
            }

            $('#myModal').modal('show');
        }, beforeSend: function() {
            toastNotification('INFO', 'Please wait...', "info");
        }
    });
}

