function editItems(field, item_id, boq_id)
{
	$.ajax({
		url: base_url + 'boq/getHistory/' + field + '/' + item_id + '/' + boq_id,
		dataType: 'html',
		success: function(data){
			$('#responsive').html(data);
			$('#responsive').modal('show');
		}
	});
}


function deleteItem(item_id, boq_id)
{
	bootbox.confirm("Are you sure your want to delete this item?", function(result) {
       if(result) {
       		$.ajax({
       			url: base_url + 'boq/deleteItem/' + item_id + "/" + boq_id,
       			dataType: 'json',
       			success: function(data) {
       				if (data.success) {
			            toastNotification("SUCCESS", data.message, "success");
			            setTimeout(function(){ window.location.reload(); }, 600);
			        } else {
			            toastNotification("ERROR", data.message, "error");
			        }
       			}
       		});
       }
    }); 
}

$('.catItem').on('click', function(e){
	e.preventDefault();
	var category_id = $(this).attr('data-categoryid');
	var boq_id = $(this).attr('data-boqid');
	bootbox.confirm("Are you sure your want to delete this category?", function(result) {
       if(result) {
       		$.ajax({
       			url: base_url + 'boq/deleteCat/' + category_id + "/" + boq_id,
       			dataType: 'json',
       			success: function(data) {
       				if (data.success) {
			            toastNotification("SUCCESS", data.message, "success");
			            setTimeout(function(){ window.location.reload(); }, 600);
			        } else {
			            toastNotification("ERROR", data.message, "error");
			        }
       			}
       		});
       }
    }); 
});

$('.subcatItem').on('click', function(e){
	e.preventDefault();
	var sub_id = $(this).attr('data-subid');
	var boq_id = $(this).attr('data-boqid');
	bootbox.confirm("Are you sure your want to delete this subcategory?", function(result) {
       if(result) {
       		$.ajax({
       			url: base_url + 'boq/deleteSubCat/' + sub_id + "/" + boq_id,
       			dataType: 'json',
       			success: function(data) {
       				if (data.success) {
			            toastNotification("SUCCESS", data.message, "success");
			            setTimeout(function(){ window.location.reload(); }, 600);
			        } else {
			            toastNotification("ERROR", data.message, "error");
			        }
       			}
       		});
       }
    }); 
});

function pickCategory(boq_id)
{
    var ids = '';
    $('.category_id').each(function(){
        ids += "_" + $(this).val();
    });

    $.ajax({
        url: $('#base_url').val()  + "boq/pickCategory/" + ids + "/" + boq_id,
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}

function generate_subcon(boq_id)
{
  bootbox.confirm("Are you sure your want to generate Subcon Draw Request?", function(result) {
     if(result) {
        $.ajax({
          url: base_url + 'boq/gen_subcon/' + boq_id,
          dataType: 'json',
          success: function(data) {
            if (data.success) {
                toastNotification("SUCCESS", data.message, "success");
                setTimeout(function(){ window.location.reload(); }, 600);
            } else {
                toastNotification("ERROR", data.message, "error");
            }
          }, beforeSend: function(){
              toastNotification('Generating', 'Please wait...', "info");
          }
        });
     }
  }); 
}

function addItem(subcategory_id, boq_id)
{
	$('#modalItems .modal-title').text('Add New Item');
    $('#modalItems #frmItem').attr('action', base_url + 'boq/add_item');
    $('#modalItems').modal('show');

    $('#parent_item').empty();
    $('#subcategory_id').val(subcategory_id);
    $('#boq_id').val(boq_id);
    $('#parent_item').append('<option value="0" selected>Main Item</option>'); 
    $.getJSON(base_url + '/boq/getParentItem/' + subcategory_id + '/' + boq_id, '', function(data) {
      
      $.each(data, function(i, item) { 
          $('#parent_item').append('<option value="' + item.item_id + '">' + item.item_name + '</option>'); 
      })
    })
}

$('#noCost').on('click', function(){
      if(this.checked) {
        $('.costFields').css('display','none');
        $('.costInput').removeAttr('required');
      } else {
        $('.costFields').css('display','block');
        $('.costInput').attr('required', true);
      }
   });

$('#frmboqItem').on('submit', function(e){
	e.preventDefault();

	var formdata = $(this).serialize();
  var url = $(this).attr("action");
  var t = $('.btnsubmit');

  // alert(formdata);

  $.ajax(url, {
      method: "POST",
      data: formdata,
      beforeSend: function(){
          t.button("loading");
      }
  }).done(function (result, status) {
      t.button("reset");
      toastr.clear();
      if (result.success) {
          toastNotification("SUCCESS", result.message, "success");
          setTimeout(function(){ window.location.reload(); }, 600);
      } else {
          toastNotification("ERROR", result.message, "error");
      }
  }).fail(function (xhr, textStatus, errorThrown) {
      t.button("reset");
      console.log(textStatus);
      toastNotification("ERROR", "An unexpected error occured", "error");
  });

});

$('#frmitemupdate').on('submit', function(e){
    e.preventDefault();
    var formdata = $(this).serialize();
    
    $.ajax({
      url: base_url + 'subcondraw/update_item',
      dataType: 'json',
      data: formdata,
      type: 'post',
      success: function(data) {
        if (data.success) {
            toastNotification("SUCCESS", data.message, "success");
            setTimeout(function(){ window.location.reload(); }, 600);
        } else {
            toastNotification("ERROR", data.message, "error");
        }
      }
    });
});