$("#calendar").fullCalendar({
    schedulerLicenseKey: 'GPL-My-Project-Is-Open-Source',
    navLinks: true,
    allDaySlot: false,
    navLinkDayClick: function(date, jsEvent) {
        $('#calendar').fullCalendar('gotoDate',date);
        $('#calendar').fullCalendar('changeView','agendaDay');
      },
    defaultView: "agendaDay",
    slotDuration: "00:05:00",
    editable: false,
    selectable: false,
    // eventLimit: false,
    customButtons: {
        billingSheet: {
          text: 'Create Sheet',
          click: function() {
            var moment = $('#calendar').fullCalendar('getDate').format('YYYY_MM_DD');
            // window.location.href = base_url + 'appointments/create_biiling_sheet/' + moment;
            $('#pickDoctorModal').modal('show');
            $('#dateCalendar').val(moment);
            // $('#modeExport').val('billingSheet');
          }
        },
        prescriptionSheet: {
          text: 'Prescription Sheet',
          click: function() {
            var moment = $('#calendar').fullCalendar('getDate').format('YYYY_MM_DD');
            // window.location.href = base_url + 'appointments/create_prescription_sheet/' + moment;
            $('#pickDoctorModal').modal('show');
            $('#dateCalendar').val(moment);
            $('#modeExport').val('prescriptionSheet');
          }
        }
      },
    header: {
        left: 'prev,next today agendaDay,agendaWeek,month',
        center: 'title',
        right: 'billingSheet'
        // right: 'billingSheet prescriptionSheet'
      },
    views: {
        agendaDay: {
            titleFormat: 'dddd, MMMM D, YYYY'
        }
    }, 
    resources: 'appointments/getAllPhysicians',
    // events: 'appointments/loadListCalendar',
    events: function(start, end, timezone, callback){

        var base_url = $('#base_url').val();

        $.ajax({
            url: "appointments/loadListCalendar",
            dataType: "json",
            success: function(doc){

                var events = [];
                $.map( doc, function( r ) {

                    events.push({
                        id: r.id,
                        resourceId: r.resourceId,
                        start: r.start,
                        end: r.end,
                        title: 'Patient: ' + r.patient + '\nDetails: ' + r.appointment_reason,
                        backgroundColor: r.backgroundColor,
                        borderColor: r.backgroundColor
                    });
                });

                callback(events);

            }
        });
    },
    minTime: "08:00:00",
    maxTime: "21:00:00",
    dayClick: function(date, jsEvent, view, resource) {
        console.log(
          'dayClick',
          date.format(),
          resource ? resource.id : '(no resource)'
        );
        var d = date.format('YYYY-MM-DD');
        var dApp = date.format('MM-DD-YYYY');
        var t = date.format('HH:mm');
        $.ajax({
            url: base_url + 'appointments/validateDate',
            type: 'POST',
            data: {'d':d,'t':t, 'id':resource.id},
            dataType: 'json',
            success: function(data){
                $('#addAppModal').modal();
                $('#appTitle').text('Add Appointment - ' + dApp + ' ' + t);
                $('#start_time_app').val(data.sTime);
                // $('#end_time_app').val(data.eTime);
                $('#date_app').val(data.sDate);
                $('#assgined_doctor').val(resource.id);

                $('#assgined_doctor').val(resource.id); 
                $('#assgined_doctor').trigger('change'); 
            }
        });
      },
    eventClick: function(calEvent, jsEvent, view) {

        var id = calEvent.id;
        var base_url = $('#base_url').val();

        $.ajax({
            url: base_url + 'appointments/getAppDetails/' + id,
            dataType: 'json',
            success: function(data){
                console.log(data.id);
                $('#EditApp').text('Edit Appointment - ' + data.firstname + ' ' + data.lastname);
                $('#appointment_id').val(data.id);
                $('#date').val(data.date);
                $('#patient_id_edit').val(data.patient_id);
                $('#start_time').val(data.start_time);
                $('#end_time').val(data.end_time);
                $('#assgined_doctor_edit').val(data.assgined_doctor).trigger('change');
                $('#appointment_type_edit').val(data.appointment_type).trigger('change');
                $('#duration_edit').val(data.duration).trigger('change');
                $('#appointment_reason').val(data.appointment_reason);
                $('#editAppModal').modal();
            }
        });


    }
})

// fc-axis fc-time fc-widget-content
// ;
// $('.fc-time', function(){
//     console.log($(this).parent('.fc-minor').attr('data-time'));
// });

$('.fc-time').each(function(){
    // if($(this).text == ""){
    //     console.log($(this).parent('.fc-minor').attr('data-time'));
    // }
    var currentRow=$(this).closest("tr"); 
    var col1=currentRow.find("td:eq(0)").text();
    if(col1 == ""){
        var val = $(this).parent('.fc-minor').attr('data-time');
        var res = val.split(":");
        var ampm = 'am';
        var time = res[0];
        if(res['0'] > 12){
            time = res[0] - 12;
            ampm = 'pm';  
        }

        if(res[0] < 10){
            time = time.substring(1);
        }
        currentRow.find("td:eq(0)").text(time + ':' + res[1] + ampm);
        // console.log(time + ':' + res[1] + ampm);
    }
    
});

var time = new Date();
console.log(
  time.toLocaleString('en-US', { hour: 'numeric', hour12: true })
); 

// ('.fc-time').parent('.fc-minor').attr('data-time')



// console.log($('.fc-time').parent('.fc-minor').attr('data-time') + '\n');