var base_url = $('#base_url').val();
var currency = $('#currency_symbol').val();



$('#discountType').on('change', function(){
    if($(this).val() != 'zero') {
        $('#discountValue').removeClass('hide');
    } else {
        $('#discountValue').addClass('hide');
    }
});

$("#future_date").datepicker({
    orientation: "bottom left"
});

function showErrorMessage(elem, message, type) 
{
    var errorhtml = $("<div>")
            .addClass("alert alert-" + type)
            .append($("<span>").text(message));
    elem.html(errorhtml);
}

function checkAllPermission(source, menu_id) 
{
    if(source.checked) {
        $('.chkPermissionName' + menu_id).each(function() {
            this.checked = true;                        
        });
    } else {
        $('.chkPermissionName' + menu_id).each(function() {
            this.checked = false;                        
        });
    }
}

function isCheckAll(source, menu_id)
{
	if ($('.chkPermission' + menu_id + ':checked').length > 0) {
		$("#checkboxall" + menu_id).prop("checked", true);
    } else {
    	$("#checkboxall" + menu_id).prop("checked", false);
    }
}



function deleteApp()
{
    if(confirm('Are you sure you want to delete this appointment?'))
    {
        var appointment_id = $('#appointment_id').val();
        $.ajax({
            url: base_url + 'appointments/deleteApp/' + appointment_id,
            dataType: "json",
            success: function(result) {
                if(result.success) {
                    toastNotification('SUCCESS', result.message, 'success');
                    // setTimeout(function(){ location.reload(); }, 2000);
                    document.getElementById('AddFormAppointment').reset();
                    $("#patient_id").select2("val", "");
                    $("#appointment_type").select2("val", "");
                    $("#duration").select2("val", "");
                    $('.appD').addClass('hide');
                    $('#editAppModal').modal('hide');
                    $('#calendar').fullCalendar('refetchEvents');
                } else {
                    toastNotification('ERROR', result.message, 'error');
                }
            },     
            beforeSend: function() {
                toastNotification('PLEASE WAIT', 'Deleting appointment...', 'info');
            }
        });
    }
}

function setLang(lang)
{
    $.ajax({
        url: base_url + 'general/setLang/' + lang,
        type: "POST",
        dataType: "json",
        success: function(result) {
            if(result.success) {
                location.reload();
            } else {
                toastNotification('ERROR', result.message, 'error');
            }
        },     
        beforeSend: function() {
            toastNotification('PLEASE WAIT', 'Changing language...', 'info');
        }
    });
}


function toastNotification(title, msg, shortCutFunction)
{
    var toastCount = 0;
    var toastlast = "";
    
    var toastIndex = toastCount++;

    toastr.options = {
        closeButton: "checked",
        debug: "",
        positionClass: 'toast-top-right' || 'toast-top-right',
        onclick: null
    };


    toastr.options.showDuration = 1000;
    toastr.options.hideDuration = 1000;
    toastr.options.timeOut = 5000;
    toastr.options.extendedTimeOut = 1000;
    toastr.options.showEasing = "swing";
    toastr.options.hideEasing = "linear";
    toastr.options.showMethod = "fadeIn";
    toastr.options.hideMethod = "fadeOut";


    if (!msg) {
        msg = getMessage();
    }

    $("#toastrOptions").text("Command: toastr[" + shortCutFunction + "](\"" + msg + (title ? "\", \"" + title : '') + "\")\n\ntoastr.options = " + JSON.stringify(toastr.options, null, 2));

    var toast = toastr[shortCutFunction](msg, title); // Wire up an event handler to a button in the toast, if it exists
    toastlast = toast;
   
}


function quickOptions(action, table, field, classname, id)
{
    bootbox.confirm("Are you sure you want to <strong>" + action + "</strong>?", function(result) {
       if(result) {
            $.ajax({
                url: $('#base_url').val() + 'general/' + action + '/' + table + '/' + field + '/' + id,
                success: function(data) {
                    toastNotification('SUCCESS', 'Item has been ' + action , 'success');
                    setTimeout(function(){
                        if(action == "delete") {
                            location.href = $('#base_url').val() + classname;
                        } else {
                            location.reload();
                        }
                    }, 2000);
                }, beforeSend: function() {
                    toastNotification(action, 'Please wait...', "info");
                }
            });
       }
    });
}

function quickAdd(modulename)
{
    $.ajax({
        url: $('#base_url').val() + modulename + "/addNewQuick",
        type: "POST",
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}

function quickAddParam(modulename, param_code, fk)
{
    $.ajax({
        url: $('#base_url').val() + modulename + "/addNewQuick/" + param_code + "/" + fk,
        type: "POST",
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}

function searchParam(modulename, code, tableID)
{
    $.ajax({
        url: $('#base_url').val()  + "search_params/" + modulename + "/" + tableID + "/" + code,
        type: "POST",
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}

function getSelected(id, name, tableID)
{
    $('#' + tableID).val(id);
    $('.' + tableID).val(name);
    $('#responsive').modal('hide');
}

function setTax(row)
{
    var net_total = parseFloat($('#net_total' + row).val());

    $.ajax({
        url: $('#base_url').val()  + "general/getTaxes",
        type: 'post',
        data: {'net_total':net_total,'row':row},
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}

function setDiscount(row)
{
    var net_total = $('#net_total' + row).val();
    $('#setForDP').text(currency + net_total);
    $('#row_id').val(row);
    var discount_value = $('#discount_value' + row).val();
    var discount_type = $('#discount_type' + row).val();

    if(discount_type == 'zero'){
        $('#discountValue').addClass('hide');
    } else if(discount_type == 'percent' || discount_type == 'direct'){
        $('#discountValue').removeClass('hide');
    } else {
        $('#discountValue').addClass('hide');
    }

    $('#discountType').val(discount_type);
    $('#value_discount').val(discount_value);
    $('#modal_discount').modal('show');
}


function addProductTransaction()
{
    $.ajax({
        url: $('#base_url').val()  + "general/addProductTransaction",
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}


$('#btnsubmit_discount').on('click', function(e){
    e.preventDefault();
    var row_id = $('#row_id').val();
    var discountType = $('#discountType').val();
    var value_discount = parseFloat($('#value_discount').val());
    var net_total = parseFloat($('#net_total' + row_id).val());
    

    if(discountType == 'percent') {
        if(value_discount > 100){
            bootbox.alert("Discount must not be greater than 100.");    
        } else {
            less_discount = (value_discount/100) * net_total;
            $('#discount_label' + row_id).text(value_discount + '%');
        }
    } else if(discountType == 'direct') {
        if(value_discount > net_total){
            bootbox.alert('Discount must not be greater than Net Price: ' + net_total);
        } else {
            less_discount = value_discount;
            $('#discount_label' + row_id).text(value_discount);
        }
    } else if(discountType == 'zero') {
        less_discount = 0;
        $('#discount_label' + row_id).text(less_discount);
    }

    net_total = net_total - less_discount;
    $('#net_total' + row_id).val(net_total);
    $('#discount' + row_id).val(less_discount);

    $('#discount_value' + row_id).val(value_discount);
    $('#discount_type' + row_id).val(discountType);
    countNet(row_id);

    $('#modal_discount').modal('hide');
    $('#modalDiscount')[0].reset();
});


function addCategory()
{
    var ids = '';
    $('.category_id').each(function(){
        ids += "_" + $(this).val();
    });

    $.ajax({
        url: $('#base_url').val()  + "general/addCategory/" + ids,
        success: function(result){
            toastr.clear();
            $('#responsive').html(result);
            $('#responsive').modal('show');
        }, beforeSend: function(){
            toastNotification('Waiting', 'Please wait...', "info");
        }
    });
}

$('#referral_source').on('change', function(e){
    e.preventDefault()
    var data = $(this).val();
    if(data == 'Other'){
        $('.other_row').removeClass('hide');
    } else {
        $('.other_row').addClass('hide');
    }
});

$('#patient_id').on('change', function () {
    if(this.value > 0){
        $('.appD').removeClass('hide');
        $('.appNP').addClass('hide');
    }
});

function quickAdd(){
    $('.appD').addClass('hide');
    $('.appNP').removeClass('hide');
    $('.pickPatient').addClass('hide');
}

$('#btnQuickPatient').on('click', function(){
    var firstname = $('#quick_firstname').val();
    var lastname = $('#quick_lastname').val();
    var phone_number = $('#quick_phone').val();
    var home_address = $('#quick_address').val();
    var cmid = $('#quick_cmid').val();

    $.ajax({
        url: base_url + 'manage_patients/quick_add',
        data: {'firstname':firstname,'lastname':lastname,'cmid':cmid,'phone_number':phone_number,'home_address':home_address},
        dataType: 'JSON',
        type: 'POST',
        success: function(data){
            if(data.success){

                var newOption = new Option(firstname+' '+lastname, data.patient_id, true, true);
                $('#patient_id').append(newOption).trigger('change');

                $('.appNP').addClass('hide');
                $('.appD').removeClass('hide');
                $('.pickPatient').removeClass('hide');
                
            }else{
                alert(data.message);
            }
            $('#btnQuickPatient').removeClass('disabled');
            $('#btnquick_cancel').removeClass('disabled');
        }, beforeSend: function(){
            $('#btnQuickPatient').addClass('disabled');
            $('#btnquick_cancel').addClass('disabled');
        }
    });
});

$('#btnquick_cancel').on('click', function(){
    $('.appNP').addClass('hide');
    $('.appD').removeClass('hide');
    $('.pickPatient').removeClass('hide');
});


$('#submitModalCalendar').on('click', function(){
  var dateCalendar = $('#dateCalendar').val();
  var modeExport = $('#modeExport').val();
  var doctor_id = $('#doctor_id').val();

  if(modeExport == "billing"){
    window.location.href = base_url + 'appointments/create_biiling_sheet/' + dateCalendar + "/" + doctor_id;
  } else if(modeExport == "prescription"){
    window.location.href = base_url + 'appointments/create_prescription_sheet/' + dateCalendar + "/" + doctor_id;
  } else if(modeExport == "appointment"){
    window.location.href = base_url + 'appointments/create_appointment_sheet/' + dateCalendar + "/" + doctor_id;
  } else if(modeExport == "consult_notes"){
    window.location.href = base_url + 'appointments/consult_notes/' + dateCalendar + "/" + doctor_id;
  }
});


function viewPatient()
{
    var patient_id = $('#patient_id_edit').val();
    window.location.href = base_url + 'manage_patients/view/' + patient_id;
}




$('#QuickAddFormAppointment').on('submit', function(e) {
    e.preventDefault();
    var url = $(this).attr("action");
    var formdata = $(this).serialize();

    $.ajax({
        url: url,
        data: formdata,
        method: "POST",
        dataType: 'JSON',
        success: function(result) {
            alert(result.message);
            if(result.success) {
                window.location.href='dashboard';
            } 
        }
    });
});

$('#QuickEditFormAppointment').on('submit', function(e) {
    e.preventDefault();
    var url = $(this).attr("action");
    var formdata = $(this).serialize();

    $.ajax({
        url: url,
        data: formdata,
        method: "POST",
        dataType: 'JSON',
        success: function(result) {
            alert(result.message);
            if(result.success) {
                window.location.href='dashboard';
            } 
        }
    });
});