$(document).on("ready", function() {
	 
   $('#noCost').on('click', function(){
      if(this.checked) {
        $('.costFields').css('display','none');
        $('.costInput').removeAttr('required');
      } else {
        $('.costFields').css('display','block');
        $('.costInput').attr('required', true);
      }
   });
    
    loadItems();

    $('#frmItem').on('submit', function(e){
    	e.preventDefault();

    	var formdata = $(this).serialize();
	    var url = $(this).attr("action");
	    var t = $('.btnsubmit');

	    $.ajax(url, {
	        method: "POST",
	        data: formdata,
	        beforeSend: function(){
	            t.button("loading");
	        }
	    }).done(function (result, status) {
	        t.button("reset");
	        toastr.clear();
	        if (result.success) {
	            toastNotification("SUCCESS", result.message, "success");
	            if(result.formaction == 'reset'){
	            	$('#modalItems .modal-title').text('Add New Item');
    				    $('#modalItems #frmItem').attr('action', base_url + 'manage_subcategory/add_item');
	            }
	            $('#frmItem')[0].reset();
	            loadItems();
              $('.costFields').css('display','block');
              $('.costInput').attr('required', true);
	            $('#modalItems').modal('hide');
	        } else {
	            toastNotification("ERROR", result.message, "error");
	        }
	    }).fail(function (xhr, textStatus, errorThrown) {
	        t.button("reset");
	        console.log(textStatus);
	        toastNotification("ERROR", "An unexpected error occured", "error");
	    });

    });

});

function addItem()
{
	$('#modalItems .modal-title').text('Add New Item');
    $('#modalItems #frmItem').attr('action', base_url + 'manage_subcategory/add_item');
    $('#modalItems').modal('show');
    $('#frmItem')[0].reset();

    $('#parent_item').empty();
    var subcategory_id = $('#subcategory_id').val()
    $.getJSON(base_url + '/manage_subcategory/getParentItem/' + subcategory_id, '', function(data) {
      $('#parent_item').append('<option value="0" selected>Main Item</option>'); 
      $.each(data, function(i, item) { 
          $('#parent_item').append('<option value="' + item.item_id + '">' + item.item_name + '</option>'); 
      })
    })
}

function loadItems()
{
	$.ajax({
    	url: base_url + "manage_subcategory/getItems/" + $('#subcategory_id').val(),
    	success: function(data) {
    		$('#subcat_items').html(data);
    	}, beforeSend: function() {
    		$('#subcat_items').html("<br><br><center><img src='"+base_url.trim()+"public/images/loading.gif' height='50'><br>Please wait..</center><br><br>");
    	}
    });
}

function deleteItem(id)
{
	bootbox.confirm("Are you sure your want to delete this item?", function(result) {
       if(result) {
       		$.ajax({
       			url: base_url + 'manage_subcategory/deleteItem/' + id,
       			dataType: 'json',
       			success: function(data) {
       				if (data.success) {
			            toastNotification("SUCCESS", data.message, "success");
			            loadItems();
			        } else {
			            toastNotification("ERROR", data.message, "error");
			        }
       			}
       		});
       }
    }); 
}

function getItemDetails(id)
{

	$.ajax({
    	url: base_url + "manage_subcategory/getItemDetails/" + id,
    	dataType: 'json',
    	success: function(data) {
    		$('#modalItems .modal-title').text('Edit Item for ' + data.item_name);
    		$('#modalItems #frmItem').attr('action', base_url + 'manage_subcategory/edit_item');;
    		$('#modalItems').modal('show');
    		$('#item_id').val(data.item_id);
    		$('#item_name').val(data.item_name);
    		$('#labor_cost').val(data.labor_cost);
    		$('#material_cost').val(data.material_cost);
    		$('#qty').val(data.qty);
    		$('#unit').val(data.unit);

        $('#parent_item').empty();
        var subcategory_id = $('#subcategory_id').val()
        $.getJSON(base_url + '/manage_subcategory/getParentItem/' + subcategory_id, '', function(data_result) {

          var selected_item_main = "";
              if(data.parent_item == 0) {
                selected_item_main = "selected";
              }
              $('#parent_item').append('<option value="0" '+selected_item_main+'>Main Item</option>'); 

          $.each(data_result, function(i, item) { 
              
              var selected_item = "";
              if(data.parent_item == item.item_id)
              {
                selected_item = "selected";
              } 
              $('#parent_item').append('<option value="' + item.item_id + '" '+selected_item+'>' + item.item_name + '</option>'); 
          })
        });
    	}
    });
}
